HSPポータル
サイトマップ お問い合わせ


HSPTV!掲示板


未解決 解決 停止 削除要請

2020
0930
Strawberry15HSP3Dishでエラーが出る5未解決


Strawberry15

リンク

2020/9/30(Wed) 22:22:57|NO.91502

HSP3DishでAndroidのアプリを作ろうとしています。
hsp3dh.exeの設定は間違えていないのに途中で、NDKのビルドに失敗しました
と表示されてしまいできません...
環境は
HSP 3.51
android-ndk r21b
一応、プログラムはサンプルプログラムのbutton_test.hspなので問題ないと思います
ビルドのログはこちら
Android NDK: android-9 is unsupported. Using minimum supported version android-16.
Android NDK: WARNING: APP_PLATFORM android-16 is higher than android:minSdkVersion 10 in ./AndroidManifest.xml. NDK binaries will *not* be compatible with devices older than android-16. See https://android.googlesource.com/platform/ndk/+/master/docs/user/common_problems.md for more information.
C:/Android/android-ndk-r21b/build//../build/core/add-application.mk:178: *** Android NDK: APP_STL gnustl_static is no longer supported. Please switch to either c++_static or c++_shared. See https://developer.android.com/ndk/guides/cpp-support.html for more information. . Stop.



この記事に返信する


Strawberry15

リンク

2020/9/30(Wed) 23:46:51|NO.91504

HSPの再インストール、NDK環境の再設定をしても駄目でした....
解決方法教えてください....



しまくろねこ

リンク

2020/10/1(Thu) 09:07:00|NO.91506

こんにちは。

試してないので自信はないのですが、NDKのバージョンが新しすぎるのが原因かと思われます。
推奨されているバージョンは、r12b, r14, r17cだったと思います。
またHSP本体も新しいバージョンをダウンロードした方が良いと思います。

NDKの古いバージョンは下記からダウンロード
https://developer.android.com/ndk/downloads/older_releases

HSPの新しいバージョンは下記からダウンロード(HSP3.6β4)
https://www.onionsoft.net/wp/download/81/



Strawberry15

リンク

2020/10/1(Thu) 18:43:18|NO.91510

HSPを3.6β4に更新しました。
NDKもr17cに戻しましたが同じようなエラーが出ます
Android NDK: android-9 is unsupported. Using minimum supported version android-16.
C:/Android/android-ndk-r21b/build//../build/core/add-application.mk:178: *** Android NDK: APP_STL gnustl_static is no longer supported. Please switch to either c++_static or c++_shared. See https://developer.android.com/ndk/guides/cpp-support.html for more information. . Stop.



しまくろねこ

リンク

2020/10/1(Thu) 19:14:11|NO.91512

>C:/Android/android-ndk-r21b/build//../build/core/add-application.mk:178

Androidオプション設定でのNDKフォルダが r17c ではなく r21b のままになっていませんか?
それからプロジェクトは一度新規で作り直した方が良いと思います。



窓月らら

リンク

2020/10/4(Sun) 16:54:09|NO.91535

参考になるかわかりませんが、うちの環境です。
ちょっと古めの環境なのでこうなってますが、Android 4〜11まで対応できてます。

jdk1.6.0_23 ※これはうちの環境の都合なので無視でいいです、Java8でOK
android-sdk-windows API-21 ※ここも個人的な都合ですがこれでいけてます
android-ndk-r10e
apache-ant-1.9.15

各ツールの整合性が取れないとエラーになります。
また、各ツールの解凍は新しい文字コードに対応したものにしてください。
稀に文字化けしているケースがあります。UTF-8とか。
例えばLhasaで解凍するとダメな事がありました。

みんな最初ここで引っかかってると思われます。うちもそうでした…



記事削除

記事NO.パスワード
(質問が解決したスレッドは他の利用者に活用してもらうため、削除しないようお願いします)

NO.91502への返信

マスコット

好きなマスコットを選んでください。

名前

e-mail
HOME
  1. 初めて利用する方は、HSP3掲示板の使い方をお読みください。
  2. 不要部分の多い長いスクリプトの投稿は ご遠慮ください。
  3. 書き込みは自動改行されません。適度に改行を入れてください。
  4. スクリプトは小文字の<pre>〜</pre>で囲むと見やすく表示できます。

削除用パスワード

解決したら質問者本人がここをチェックしてください。

エラー発生時、再送信すると二重送信になることがあります。
回答が得られたら、お礼書き込み時に[解決]チェックしてください。
SPAM防止のためURLから始まる文章は投稿できません。
SPAM防止のため英文字のみの本文を投稿することはできません。

ONION software Copyright 1997-2018(c) All rights reserved.